.background {
  position: fixed;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.75);
  z-index: 1;
  overflow: hidden;
}

.post_detail {
  &__container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 1100px;
    height: 600px;
    background-color: #ffffff;
  }

  &__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
  }

  &__image_container {
    position: relative;
    width: 800px;
    height: 600px;
  }

  &__image {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }

  &__title {
    font-size: 1.2rem;
    font-weight: bold;
  }

  &__author {
    display: flex;
    align-items: center;

    &_name {
      font-weight: bold;
      font-size: 1.3rem;
      margin-left: 10px;
    }

    &_avatar {
      width: 40px;
      height: 40px;
    }
  }

  &__date {
    font-size: 0.6rem;
    margin-right: 10px;
    font-style: italic;
  }

  &__likes {
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 10;
    letter-spacing: 5px;
    font-size: 20px;
    color: white;
    cursor: pointer;
    user-select: none;
  }

  &__info {
    width: 300px;
    padding: 20px 0 20px 10px;
    display: flex;
    flex-direction: column;
    height: 100%;

  }

  &__comments_block {
    overflow: auto;
  }
}

.avatar {
  border-radius: 50%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.add_comment {
  width: 90%;
  display: flex;
  flex-direction: column;
  margin-top: 20px;

  &__input {
    outline: none;
    resize: none;
  }
}